Subject: Re: [ANNOUNCEMENT] Updated: cygrunsrv-0.94-1
From: Jason Tishler <[email-masked]>
To: [email-masked], Fred Yankowski <[email-masked]>, [email-masked]
Date: Mon, 16 Jul 2001 11:34:29 -0400

Corrina,

On Mon, Jul 16, 2001 at 05:19:08PM +0200, Corinna Vinschen wrote:
> On Mon, Jul 16, 2001 at 10:04:17AM -0400, Jason Tishler wrote:
> > What about trying to tackle this from another point of view?  I'm not
> > sure if this is doable or acceptable, but what about adding logic to the
> > Cygwin DLL so that it does not send SIGHUP (to itself) when the process is
> > running under cygrunsrv?  
> 
> Hmmm, sounds like an ugly hack to me...

Which is why I couched the above with "acceptable."  However, there are
other Unix daemons (e.g., inetd) that will respond to SIGHUP in a similar
manner.  Is modifying all of them, instead of just the Cygwin DLL, better?

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/